<template>
  <template v-if="sportBet.length !== 0">
    <div v-if="themeName === 'peru'">
      <div
        class="box px-2 pb-2 text-xs overscroll-scroll overscroll-contain sport-betting-container"
        v-for="(sport, index) in sportBet"
        :key="index"
      >
        <div class=" rounded-md border-[2px] border-[var(--border)] bet-list-card">
          <div
            class="flex flex-row items-center h-[76px] px-4 border-b-[2px] border-[var(--border)]"
          >
            <div class="w-full p-0 gap-1 h-[52px]">
              <div class="flex justify-between">
                <div class="flex flex-row items-start p-0 gap-[10px] h-4 fc-hint">
                  <span class="font-bold text-sm leading-4">{{
                    sport.GameProviderName
                  }}</span>
                </div>
                <div class="flex flex-row p-0 gap-[10px] h-[19px]">
                  <span
                    class="font-bold text-[16px] leading-[19px"
                    :class="`fc-${sport.StatusColorForMobileDisplay}`"
                  >
                    {{ sport.StatusForDisplay }}
                  </span>
                </div>
              </div>
              <div class="flex flex-row items-start p-0 gap-[10px] h-[14px]">
                <span class="font-normal text-xs leading-[14px]">
                  {{ sport.OrderTime }}
                </span>
              </div>
              <div class="flex flex-row items-start p-0 h-[14px]">
                <span class="font-normal text-xs leading-[14px]">
                  {{ $t("reference_number") }} {{ sport.RefNo }}
                </span>
              </div>
            </div>
            <!-- <div class="flex flex-row p-0 gap-[10px] h-[19px]">
              <span
                class="font-bold text-[16px] leading-[19px"
                :class="`fc-${sport.StatusColorForMobileDisplay}`"
              >
                {{ sport.StatusForDisplay }}
              </span>
            </div> -->
          </div>
          <div
            class="px-4 py-3 border-b-[2px] border-[var(--border)]"
            v-for="(betDetail, index) in sport.BetDetails"
            :key="index"
          >
            <lazy-mobile-bet-details-sport-bet-selection
              :sportBet="sport"
              :sportBetDetail="betDetail"
            />
          </div>
          <template v-if="sport.IsShowBetDetailButton">
            <div
              class="px-4 pb-3 cursor-pointer"
              @click="onDisplayBetDetail(sport)"
            >
              <div class="grid grid-cols-3 gap-2">
                <div class="col-span-2">
                  <span> {{ $t("bet_detail") }} </span>
                </div>
                <div class="text-right mr-2">
                  <font-awesome-icon icon="chevron-right" />
                </div>
              </div>
            </div>
          </template>
          <div class="px-4 rounded-b-md">
            <div class="flex flex-col items-start py-3 gap-1 h-[79px]">
              <div
                class="flex flex-row justify-between items-start p-0 gap-1 h-[14px] w-full"
              >
                <span class="h-[14px] font-normal text-xs leading-[14px]">
                  {{ $t("odds") }}
                </span>
                <span class="flex items-start p-0 gap-1 font-bold">
                  {{ sport.MainBetOddsForDisplay }} ({{
                    sport.OddsStyle ?? "--"
                  }})
                </span>
              </div>
              <div
                class="flex flex-row justify-between items-start p-0 gap-1 h-[14px] w-full"
              >
                <span class="h-[14px] font-normal text-xs leading-[14px]">
                  {{ $t("stake") }}
                </span>
                <span class="flex items-start p-0 gap-1 font-bold">
                  {{ sport.StakeForDisplay }} ({{ sport.ActualStakeForDisplay }})
                </span>
              </div>
              <div
                class="flex flex-row justify-between items-start p-0 gap-1 h-[14px] w-full"
              >
                <span class="h-[14px] font-normal text-xs leading-[14px]">
                  {{ $t("win/lose") }}
                </span>
                <div
                  class="flex items-start p-0 gap-1 font-bold text-base leading-[19px] fc-text"
                >
                  <span :class="`fc-${sport.WinLoseColorForDisplay}`">{{
                    sport.WinLoseForDisplay
                  }}</span>
                  ({{ sport.PlayerCommissionForDisplay }})
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div v-else>
      <div
        class="box bg-background2 px-3 pb-2 text-xs overscroll-scroll overscroll-contain sport-betting-container"
        :class="{ '!px-2': themeName === 'playful' }"
        v-for="(sport, index) in sportBet"
        :key="index"
      >
        <div class="bg-background1 rounded-md border-1 bet-list-card">
          <div
            class="flex flex-row justify-between items-center h-[76px] mx-4 border-b"
          >
            <div class="flex flex-col items-start p-0 gap-1 h-[52px]">
              <div class="flex flex-row items-start p-0 gap-[10px] h-4 fc-hint">
                <span class="font-bold text-sm leading-4">{{
                  sport.GameProviderName
                }}</span>
              </div>
              <div class="flex flex-row items-start p-0 gap-[10px] h-[14px]">
                <span class="font-normal text-xs leading-[14px]">
                  {{ sport.OrderTime }}
                </span>
              </div>
              <div class="flex flex-row items-start p-0 h-[14px]">
                <span class="font-normal text-xs leading-[14px]">
                  {{ $t("reference_number") }} {{ sport.RefNo }}
                </span>
              </div>
            </div>
            <div class="flex flex-row p-0 gap-[10px] h-[19px]">
              <span
                class="font-bold text-[16px] leading-[19px"
                :class="`fc-${sport.StatusColorForMobileDisplay}`"
              >
                {{ sport.StatusForDisplay }}
              </span>
            </div>
          </div>
          <div
            class="mx-4 py-3 border-b"
            v-for="(betDetail, index) in sport.BetDetails"
            :key="index"
          >
            <lazy-mobile-bet-details-sport-bet-selection
              :sportBet="sport"
              :sportBetDetail="betDetail"
            />
          </div>
          <template v-if="sport.IsShowBetDetailButton">
            <div
              class="px-4 pb-3 cursor-pointer"
              @click="onDisplayBetDetail(sport)"
            >
              <div class="grid grid-cols-3 gap-2">
                <div class="col-span-2">
                  <span> {{ $t("bet_detail") }} </span>
                </div>
                <div class="text-right mr-2">
                  <font-awesome-icon icon="chevron-right" />
                </div>
              </div>
            </div>
          </template>
          <div class="mx-4 rounded-b-md">
            <div class="flex flex-col items-start py-3 gap-1 h-[79px]">
              <div
                class="flex flex-row justify-between items-start p-0 gap-1 h-[14px] w-full"
              >
                <span class="h-[14px] font-normal text-xs leading-[14px]">
                  {{ $t("odds") }}
                </span>
                <span class="flex items-start p-0 gap-1 font-bold">
                  {{ sport.MainBetOddsForDisplay }} ({{
                    sport.OddsStyle ?? "--"
                  }})
                </span>
              </div>
              <div
                class="flex flex-row justify-between items-start p-0 gap-1 h-[14px] w-full"
              >
                <span class="h-[14px] font-normal text-xs leading-[14px]">
                  {{ $t("stake") }}
                </span>
                <span class="flex items-start p-0 gap-1 font-bold">
                  {{ sport.StakeForDisplay }} ({{ sport.ActualStakeForDisplay }})
                </span>
              </div>
              <div
                class="flex flex-row justify-between items-start p-0 gap-1 h-[14px] w-full"
              >
                <span class="h-[14px] font-normal text-xs leading-[14px]">
                  {{ $t("win/lose") }}
                </span>
                <div
                  class="flex items-start p-0 gap-1 font-bold text-base leading-[19px] fc-text"
                >
                  <span :class="`fc-${sport.WinLoseColorForDisplay}`">{{
                    sport.WinLoseForDisplay
                  }}</span>
                  ({{ sport.PlayerCommissionForDisplay }})
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </template>
  <template v-else>
    <lazy-utils-not-found />
  </template>
  <sports-type-icons class="hidden" />
</template>

<script lang="ts">
import { computed, defineComponent, PropType } from "vue";
import { ISportBet } from "@/models/sportbet/sportbet";
import { store } from "@/store";

export default defineComponent({
  name: "sport",
  props: {
    sportBet: {
      type: Array as PropType<Array<ISportBet>>,
      required: true,
    },
    onDisplayBetDetail: {
      type: Function,
      required: true,
    },
  },
  setup() {
    const allowTheme = computed(() => store.state.selectedThemeName === "main");
    const themeName = store.state.selectedThemeName;
    return {
      allowTheme,
      themeName,
    };
  },
});
</script>

<style scoped>
.common-layout .box:nth-of-type(1) {
  margin-top: 32px;
}
.text-border {
  color: var(--text);
}
.text-failure {
  color: var(--failure);
}
.text-success {
  color: var(--success);
}
.sport-betting-container:first-child {
  padding-top: 8px;
}
</style>
